﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 684A: (1 year) VER IEEE /5800A+5Ch+GHz
DATE:                  2017-03-27 07:40:01
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       208
CONFIGURATION:         Fluke 5800A (C5,G2)
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        Tektronix TDS 684A, TDS 744A, & TDS 784A Digitizing Oscilloscope
#        Service Manual, Part No. 070-8992-03
#
#  Compatibility:
#        MET/CAL 7.3.38 or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M5800                                                    C5
  1.003  5800         1GH                          1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            F        V

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method

  1.013  DISP         Ensure a minimum UUT warm-up time of at least
  1.013  DISP         20 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  HEAD         UUT IDENTIFICATION
  1.015  TARGET
  1.016  CALL         Sub TDS500/600/700 Setup IEEE
  1.017  IEEE2        *RST;DESE 61
  1.018  WAIT         -t 4 System Initializing ...

  1.019  MATH         @UUT_Manufacturer  = "TEKTRONIX"
  1.020  MATH         @UUT_Model         = "TDS 684A"
  1.021  MATH         @UUT_AssetNum      = UUT()

  1.022  IF           NOT(EMPTY(@UUT_AssetNum))
  1.023  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.024  ENDIF

  1.025  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.026  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.027  JMPL         END                          @Abort

  1.028  OPBR         -z Do you want to REVIEW the list of additional
  1.028  OPBR         equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  DISP         The following additional equipment and/or accessories
  1.030  DISP         are required:
  1.030  DISP
  1.030  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.030  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.030  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.030  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.030  DISP         - Dual Input Coupler (BNC)
  1.030  DISP         - 50 Ohm Feedthrough (BNC)
  1.031  ENDIF

  1.032  CALL         Sub TDS600A Specifications
  1.033  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.034  JMPL         END                          @Abort
  1.035  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.036  JMPL         END                          @Abort

  1.037  MATH         @SourceChanNum = 5

  1.038  MATH         @Chan = 1
  1.039  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.040  MATH         @Chan = 2
  1.041  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.042  MATH         @Chan = 3
  1.043  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.044  MATH         @Chan = 4
  1.045  CALL         Sub TDS600A (1 yr) DC Offset IEEE

  1.046  MATH         @Chan = 1
  1.047  M5800                                                    C1
  1.048  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /5800
  1.049  MATH         @Chan = 2
  1.050  M5800                                                    C2
  1.051  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /5800
  1.052  MATH         @Chan = 3
  1.053  M5800                                                    C3
  1.054  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /5800
  1.055  MATH         @Chan = 4
  1.056  M5800                                                    C4
  1.057  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /5800

  1.058  MATH         @Chan = 1
  1.059  M5800                                                    C1
  1.060  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /5800+G2
  1.061  MATH         @Chan = 2
  1.062  M5800                                                    C2
  1.063  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /5800+G2
  1.064  MATH         @Chan = 3
  1.065  M5800                                                    C3
  1.066  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /5800+G2
  1.067  MATH         @Chan = 4
  1.068  M5800                                                    C4
  1.069  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /5800+G2
  1.070  JMPL         TIMEBASE_TRIGGER

  1.071  LABEL        DELAY_MATCH
  1.072  MATH         @Chan = 1
  1.073  M5800                                                    C1
  1.074  CALL         Sub TDS600A (1 yr) Delay Match IEEE /5800
  1.075  JMPL         OUTPUT_SIGNAL

  1.076  LABEL        TIMEBASE_TRIGGER
  1.077  MATH         @Chan = 1
  1.078  M5800                                                    C1
  1.079  CALL         Sub TDS600A (1 yr) Time Base IEEE /5800
  1.080  CALL         Sub TDS600A (1 yr) Trig Time Acc IEEE /5800

  1.081  MATH         @Chan = 1
  1.082  M5800                                                    C1
  1.083  CALL         Sub TDS600A (1 yr) Sens IEEE /5800+G2
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.084  OPBR         -z Each channel trig sensitivity test will take about
  1.084  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.084  OPBR         channels to save time, unless desired.
  1.084  OPBR
  1.084  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.084  OPBR         3, and 4?
  1.085  MATH         @TestCh234Sens = MEM1
  1.086  JMPL         MAIN_TRIG_SENS_CH2

  1.087  LABEL        AUX_TRIG_IN

  1.088  MATH         @Chan = 1
  1.089  M5800                                                    C1
  1.090  CALL         Sub TDS600A (1 yr) Aux Trig In Sens IEEE /5800
  1.091  JMPL         DELAY_MATCH

  1.092  LABEL        MAIN_TRIG_SENS_CH2

  1.093  IF           @TestCh234Sens
  1.094  MATH         Time = 3 * @OptChSensTime
  1.095  DISP         The next routine operator intervention occurs
  1.095  DISP         in approximately [V Time] minutes...
  1.096  MATH         @Chan = 2
  1.097  M5800                                                    C2
  1.098  CALL         Sub TDS600A (1 yr) Sens IEEE /5800+G2
  1.099  MATH         @Chan = 3
  1.100  M5800                                                    C3
  1.101  CALL         Sub TDS600A (1 yr) Sens IEEE /5800+G2
  1.102  MATH         @Chan = 4
  1.103  M5800                                                    C4
  1.104  CALL         Sub TDS600A (1 yr) Sens IEEE /5800+G2
  1.105  ENDIF

  1.106  JMPL         AUX_TRIG_IN

  1.107  LABEL        OUTPUT_SIGNAL
  1.108  M5800                                                    C1
  1.109  CALL         Sub TDS600A (1 yr) Output Signal IEEE /5800
  1.110  M5800                                                    C1
  1.111  CALL         Sub TDS600A (1 yr) Probe Comp IEEE /5800

  1.112  LABEL        END
  1.113  IEEE2        *RST;DESE 61

  1.114  IF           @Abort
  1.115  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.116  ENDIF

  1.117  END
